cURL
curl --request GET \
--url https://app.allyy.io/api/recommendation/v1.0/customer/{customerId}/{exportType}/ExportConfiguration \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.allyy.io/api/recommendation/v1.0/customer/{customerId}/{exportType}/ExportConfiguration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.allyy.io/api/recommendation/v1.0/customer/{customerId}/{exportType}/ExportConfiguration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"validation": [
{
"property": "<string>",
"message": "<string>"
}
],
"info": {}
},
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"datasetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset": "<string>",
"predictionConfigurationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"contactTypeIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"rankingRule": {
"sortingFields": [
{
"displayField": {
"alias": "<string>"
}
}
],
"previousExportsFilter": {
"appearancesCount": 123,
"daysCount": 123
},
"previousResponseFilter": [
{
"responseTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"categoricalValueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"boolValue": true,
"numericValue": 123,
"daysCount": 123,
"occurrencesCount": 123
}
]
},
"predictionScoresPerContactCount": 123,
"predictionScoresPerContactPerClassCount": [
{
"className": "<string>",
"predictionScoresPerClassCount": 123
}
],
"webhookName": "<string>",
"bigQueryDestination": {
"serviceAccountKey": "<string>",
"projectId": "<string>",
"datasetId": "<string>",
"table": "<string>"
},
"activeCampaignDestination": {
"url": "<string>",
"secret": "<string>",
"prefix": "<string>",
"lists": [
"<string>"
]
},
"agillicDestination": {
"developerKey": "<string>",
"secret": "<string>",
"table": "<string>"
},
"microsoftSqlServerDestination": {
"host": "<string>",
"userId": "<string>",
"password": "<string>",
"database": "<string>",
"table": "<string>",
"isActiveDirectoryAuthentication": true
},
"sftpServerDestination": {
"host": "<string>",
"username": "<string>",
"password": "<string>",
"portNumber": 123,
"fingerprint": "<string>",
"path": "<string>"
},
"googleCloudStorageDestination": {
"fileUrl": "<string>",
"serviceAccountKey": "<string>"
},
"microsoftDynamicsDestination": {
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationUrl": "<string>",
"secret": "<string>",
"entity": "<string>",
"entityCollectionName": "<string>",
"contactRelationshipSchemaName": "<string>"
},
"scoreAggregationFields": [
{
"alias": "<string>"
}
],
"displayFieldMappings": [
{
"displayField": {
"alias": "<string>"
},
"destinationName": "<string>"
}
]
}
],
"totalItemsCount": 123
}Export API
Get export configurations
GET
/
api
/
recommendation
/
v1.0
/
customer
/
{customerId}
/
{exportType}
/
ExportConfiguration
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Export configuration type: prediction or decision
Query Parameters
Available options:
4, 6, 7, 8, 9 ⌘I